commit 9bec9ba3608aebb647c676bafb5cf6de85b5da12
Author: freddy77 <freddy77>
Date:   Fri May 21 13:54:27 2010 +0000

    freebcp's direction doesn't need to be case sensitive (from Craig A. Berry).

diff --git a/ChangeLog b/ChangeLog
index 149386e..8af38c7 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Fri May 21 15:53:53 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/apps/freebcp.c:
+	- freebcp's direction doesn't need to be case sensitive (from Craig
+	  A. Berry).
+
 Fri May 14 00:06:28 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* configure.ac win32/Makefile.am win32/freetds.nsi:
 	- remove Dev-C++ project files (obsolete)
@@ -2449,4 +2454,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3023 2010/05/13 22:06:38 freddy77 Exp $
+$Id: ChangeLog,v 1.3024 2010/05/21 13:54:27 freddy77 Exp $
diff --git a/src/apps/freebcp.c b/src/apps/freebcp.c
index 2c75a19..c5f49db 100644
--- a/src/apps/freebcp.c
+++ b/src/apps/freebcp.c
@@ -46,7 +46,7 @@
 #include <sybdb.h>
 #include "freebcp.h"
 
-static char software_version[] = "$Id: freebcp.c,v 1.51 2009/07/23 18:22:00 freddy77 Exp $";
+static char software_version[] = "$Id: freebcp.c,v 1.52 2010/05/21 13:54:28 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 void pusage(void);
@@ -173,11 +173,11 @@ process_parameters(int argc, char **argv, BCPPARAMDATA *pdata)
 	/* argument 2 - the direction */
 	tds_strlcpy(pdata->dbdirection, argv[2], sizeof(pdata->dbdirection));
 
-	if (strcmp(pdata->dbdirection, "in") == 0) {
+	if (strcasecmp(pdata->dbdirection, "in") == 0) {
 		pdata->direction = DB_IN;
-	} else if (strcmp(pdata->dbdirection, "out") == 0) {
+	} else if (strcasecmp(pdata->dbdirection, "out") == 0) {
 		pdata->direction = DB_OUT;
-	} else if (strcmp(pdata->dbdirection, "queryout") == 0) {
+	} else if (strcasecmp(pdata->dbdirection, "queryout") == 0) {
 		pdata->direction = DB_QUERYOUT;
 	} else {
 		fprintf(stderr, "Copy direction must be either 'in', 'out' or 'queryout'.\n");

